Bug 72288 - [UPDATE] www/clearsilver to 0.9.12
Summary: [UPDATE] www/clearsilver to 0.9.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-03 22:30 UTC by Piet Delport
Modified: 2004-12-28 17:50 UTC (History)
1 user (show)

See Also:


Attachments
clearsilver-0.9.12.patch (1.13 KB, patch)
2004-10-03 22:30 UTC, Piet Delport
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piet Delport 2004-10-03 22:30:11 UTC
	(Maintainer CC'd.)

	This PR supercedes ports/70591.

	Besides the version bump, this patch also removes the post-patch
	rename of lemon.c, which is not included in the distribution anymore.
Comment 1 Piet Delport 2004-12-06 11:53:40 UTC
(Maintainer CC'd.)

This is the same patch as before, but updated for Clearsilver 0.9.13.

Besides bugfixes, one important new feature is the exposure of "filter"
functions to the non-CGI Java/Perl/Python/Ruby wrappers.

>Fix:

--- clearsilver-0.9.13.patch begins here ---
diff -ruN /usr/ports/www/clearsilver/Makefile clearsilver/Makefile
--- /usr/ports/www/clearsilver/Makefile	Wed Nov 24 10:58:21 2004
+++ clearsilver/Makefile	Fri Dec  3 16:04:42 2004
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	clearsilver
-PORTVERSION=	0.9.7
+PORTVERSION=	0.9.13
 CATEGORIES=	www
 MASTER_SITES=	http://www.clearsilver.net/downloads/
 
@@ -71,8 +71,6 @@
 .endif
 
 post-patch:
-	@# Exclude lemon.c, it gives some errors and its not used at all.
-	@${MV} ${WRKSRC}/cs/lemon.c ${WRKSRC}/cs/lemon.c.not_used
 	@# Remove CFLAGS when building the python module, pydistfile is used
 	@# and will do the right thing.
 	@${REINPLACE_CMD} -E 's,(\$$\(PYTHON\)),CFLAGS="" \1,g' ${WRKSRC}/python/Makefile
diff -ruN /usr/ports/www/clearsilver/distinfo clearsilver/distinfo
--- /usr/ports/www/clearsilver/distinfo	Tue Apr 20 14:43:35 2004
+++ clearsilver/distinfo	Fri Dec  3 15:48:48 2004
@@ -1,2 +1,2 @@
-MD5 (clearsilver-0.9.7.tar.gz) = a83844356c92b0ce060c5ba08e55c401
-SIZE (clearsilver-0.9.7.tar.gz) = 377694
+MD5 (clearsilver-0.9.13.tar.gz) = 6f4946d92eca41e17c9fc0373aee096a
+SIZE (clearsilver-0.9.13.tar.gz) = 365908
--- clearsilver-0.9.13.patch ends here ---
Comment 2 Thierry Thomas freebsd_committer 2004-12-08 20:22:52 UTC
State Changed
From-To: open->feedback


Waiting for maintainer's approval. 



Comment 3 Thierry Thomas freebsd_committer 2004-12-08 20:22:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I shall handle it.
Comment 4 Thierry Thomas freebsd_committer 2004-12-28 17:49:42 UTC
State Changed
From-To: feedback->closed


Committed after maintainer's time-out, thanks!